security/libnetpgpverify - The NetBSD Packages Collection

PGP and ssh signature verification library

This is libnetpgpverify, a standalone library to verify PGP
signatures.

It uses its own internal MPI/BIGNUM functions, which are a vastly
cut-down version of libtommath.  For this reason, utilities and other
libraries can embed PGP signature verification, using a BSD-licensed
library.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibnetpgpverify-20201101.tgz
NetBSD 8.0earmv7hflibnetpgpverify-20200504.tgz
NetBSD 8.0earmv7hflibnetpgpverify-20201101.tgz
NetBSD 8.0i386libnetpgpverify-20200504.tgz
NetBSD 8.0i386libnetpgpverify-20201101.tgz
NetBSD 8.0i386libnetpgpverify-20201101.tgz
NetBSD 8.0powerpclibnetpgpverify-20200504.tgz
NetBSD 8.0powerpclibnetpgpverify-20201101.tgz
NetBSD 8.0powerpclibnetpgpverify-20201101.tgz
NetBSD 8.0x86_64libnetpgpverify-20201101.tgz
NetBSD 8.0x86_64libnetpgpverify-20200504.tgz
NetBSD 8.0x86_64libnetpgpverify-20201101.tgz
NetBSD 9.0aarch64libnetpgpverify-20201101.tgz
NetBSD 9.0aarch64libnetpgpverify-20200504.tgz
NetBSD 9.0aarch64libnetpgpverify-20201101.tgz
NetBSD 9.0alphalibnetpgpverify-20201101.tgz
NetBSD 9.0alphalibnetpgpverify-20200504.tgz
NetBSD 9.0alphalibnetpgpverify-20201101.tgz
NetBSD 9.0earmlibnetpgpverify-20200504.tgz
NetBSD 9.0earmlibnetpgpverify-20201101.tgz
NetBSD 9.0earmv6hflibnetpgpverify-20201101.tgz
NetBSD 9.0earmv6hflibnetpgpverify-20200504.tgz
NetBSD 9.0earmv6hflibnetpgpverify-20201101.tgz
NetBSD 9.0earmv6hflibnetpgpverify-20201101.tgz
NetBSD 9.0earmv7hflibnetpgpverify-20201101.tgz
NetBSD 9.0earmv7hflibnetpgpverify-20200504.tgz
NetBSD 9.0earmv7hflibnetpgpverify-20201101.tgz
NetBSD 9.0earmv7hflibnetpgpverify-20201101.tgz
NetBSD 9.0i386libnetpgpverify-20200504.tgz
NetBSD 9.0i386libnetpgpverify-20201101.tgz
NetBSD 9.0i386libnetpgpverify-20201101.tgz
NetBSD 9.0mips64eblibnetpgpverify-20201101.tgz
NetBSD 9.0mips64eblibnetpgpverify-20200504.tgz
NetBSD 9.0mips64eblibnetpgpverify-20201101.tgz
NetBSD 9.0powerpclibnetpgpverify-20201101.tgz
NetBSD 9.0powerpclibnetpgpverify-20200504.tgz
NetBSD 9.0sh3ellibnetpgpverify-20201101.tgz
NetBSD 9.0sparc64libnetpgpverify-20201101.tgz
NetBSD 9.0sparc64libnetpgpverify-20200504.tgz
NetBSD 9.0sparc64libnetpgpverify-20200504.tgz
NetBSD 9.0sparc64libnetpgpverify-20201101.tgz
NetBSD 9.0sparclibnetpgpverify-20201101.tgz
NetBSD 9.0sparclibnetpgpverify-20200504.tgz
NetBSD 9.0sparclibnetpgpverify-20201101.tgz
NetBSD 9.0x86_64libnetpgpverify-20201101.tgz
NetBSD 9.0x86_64libnetpgpverify-20201101.tgz
NetBSD 9.0x86_64libnetpgpverify-20201101.tgz
NetBSD 9.0x86_64libnetpgpverify-20201101.tgz
NetBSD 9.0x86_64libnetpgpverify-20200504.tgz
NetBSD 9.0x86_64libnetpgpverify-20201101.tgz
NetBSD 9.0x86_64libnetpgpverify-20201101.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.